Subject: RE: [MMUSIC] SIP-RTSP: reuse of MRCP, BFCP or MSRP?

From: <[email-masked]>
Date: Tue, 5 Sep 2006 17:58:03 +0530

I agree with Xavier. In addition to his points, I would like to add that
RTSP is much more widely adopted for trick play controls. RTSP has been
adopted even in the PSS(packet-switched streaming service) of 3GPP.

It will be much easier to move the existing streaming products to SIP
controlled streaming model if RTSP+SIP path is taken.

Regards,
Ravi.

--
 
Ravishankar. G. Shiroor
Wipro Technologies, Bangalore.
 
[email-masked]
--

> -----Original Message-----
> From: Xavier Marjou [mailto:[email-masked]] 
> Sent: Tuesday, August 29, 2006 12:58 PM
> To: [email-masked]
> Subject: [MMUSIC] SIP-RTSP: reuse of MRCP, BFCP or MSRP?
> 
> Hi,
> 
> > draft-whitehead-mmusic-sip-for-streaming-media-01.txt
> > Marie-Jose Montpetit discussed use of SIP for streaming 
> media, with an 
> > outline of the rationale for using SIP to signal RTSP sessions, the 
> > use cases, and the derived requirements.
> > Dave Oran asked if the authors have considered MRCP for 
> media control?
> > Rohan Mahy agreed, noting similarities to the proposal, and 
> suggesting 
> > the authors include MRCP in their requirements analysis.
> 
> As noted in the minutes, the feedback from last IETF meeting 
> was to consider MRCP to transport VCR commands (aka 
> trick-play signaling).
> 
> Despite the fact that MRCP works with SIP and SDP, which is 
> not (yet?) the case of RTSP, I do not see any reason why MRCP 
> (or BFCP, or MSRP) would be better suited than RTSP itself. 
> Indeed, an important part of the 191-page
> RTSPv2 draft consists in defining VCR "commands" (eg: PLAY, 
> PAUSE), VCR "attributes" (eg: Scale and Range), as well as 
> many other details. I think that redifining them in another 
> protocol would be a huge redundant work.
> 
> Xavier
> 
> 
> 
> 
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic